$schema: "https://json-schema.org/draft/2020-12/schema"

title: "MyOme Canceled json report schema"
description: "Canceled json report schema only needs a cancellation_reason since a cancell\ed report doesn't have results"
type: "object"

allOf:
  - $ref: "base.json"
  - properties:
      report_type:
        const: "CANCELED"
      cancellation_reason:
        type: string